CVE-2013-7013

medium

Description

The g2m_init_buffers function in libavcodec/g2meet.c in FFmpeg before 2.1 uses an incorrect ordering of arithmetic operations, which allows remote attackers to cause a denial of service (out-of-bounds array access) or possibly have unspecified other impact via crafted Go2Webinar data.

References

http://ffmpeg.org/security.html

http://openwall.com/lists/oss-security/2013/11/26/7

http://openwall.com/lists/oss-security/2013/12/08/3

https://github.com/FFmpeg/FFmpeg/commit/821a5938d100458f4d09d634041b05c860554ce0

https://security.gentoo.org/glsa/201603-06

https://trac.ffmpeg.org/ticket/2922

Details

Source: MITRE

Published: 2013-12-09

Updated: 2016-12-03

Type: CWE-189

Risk Information

CVSS v2

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM